/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDataSourceFromRedshiftInput } from "../types/CreateDataSourceFromRedshiftInput";
import { CreateDataSourceFromRedshiftOutput } from "../types/CreateDataSourceFromRedshiftOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateDataSourceFromRedshiftInput";
export * from "../types/CreateDataSourceFromRedshiftOutput";
export * from "../types/CreateDataSourceFromRedshiftExceptionsUnion";
export declare class CreateDataSourceFromRedshiftCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDataSourceFromRedshiftInput, OutputTypesUnion, CreateDataSourceFromRedshiftOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDataSourceFromRedshiftInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDataSourceFromRedshiftInput, CreateDataSourceFromRedshiftOutput, _stream.Readable>;
    constructor(input: CreateDataSourceFromRedshiftInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateDataSourceFromRedshiftInput, CreateDataSourceFromRedshiftOutput>;
}
