/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRealtimeEndpointInput } from "../types/DeleteRealtimeEndpointInput";
import { DeleteRealtimeEndpointOutput } from "../types/DeleteRealtimeEndpointOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DeleteRealtimeEndpointInput";
export * from "../types/DeleteRealtimeEndpointOutput";
export * from "../types/DeleteRealtimeEndpointExceptionsUnion";
export declare class DeleteRealtimeEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRealtimeEndpointInput, OutputTypesUnion, DeleteRealtimeEndpointOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRealtimeEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRealtimeEndpointInput, DeleteRealtimeEndpointOutput, _stream.Readable>;
    constructor(input: DeleteRealtimeEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DeleteRealtimeEndpointInput, DeleteRealtimeEndpointOutput>;
}
