/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteTagsInput } from "../types/DeleteTagsInput";
import { DeleteTagsOutput } from "../types/DeleteTagsOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DeleteTagsInput";
export * from "../types/DeleteTagsOutput";
export * from "../types/DeleteTagsExceptionsUnion";
export declare class DeleteTagsCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteTagsInput, OutputTypesUnion, DeleteTagsOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteTagsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteTagsInput, DeleteTagsOutput, _stream.Readable>;
    constructor(input: DeleteTagsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DeleteTagsInput, DeleteTagsOutput>;
}
