"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteMLModelInput_1 = require("../shapes/DeleteMLModelInput");
const DeleteMLModelOutput_1 = require("../shapes/DeleteMLModelOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteMLModelInput_1.DeleteMLModelInput
    },
    output: {
        shape: DeleteMLModelOutput_1.DeleteMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteMLModel.js.map