"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteRealtimeEndpointInput_1 = require("../shapes/DeleteRealtimeEndpointInput");
const DeleteRealtimeEndpointOutput_1 = require("../shapes/DeleteRealtimeEndpointOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRealtimeEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRealtimeEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRealtimeEndpointInput_1.DeleteRealtimeEndpointInput
    },
    output: {
        shape: DeleteRealtimeEndpointOutput_1.DeleteRealtimeEndpointOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DeleteRealtimeEndpoint.js.map