"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeEvaluationsInput_1 = require("../shapes/DescribeEvaluationsInput");
const DescribeEvaluationsOutput_1 = require("../shapes/DescribeEvaluationsOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEvaluations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEvaluations",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEvaluationsInput_1.DescribeEvaluationsInput
    },
    output: {
        shape: DescribeEvaluationsOutput_1.DescribeEvaluationsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=DescribeEvaluations.js.map