"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetBatchPredictionInput_1 = require("../shapes/GetBatchPredictionInput");
const GetBatchPredictionOutput_1 = require("../shapes/GetBatchPredictionOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBatchPrediction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBatchPrediction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetBatchPredictionInput_1.GetBatchPredictionInput
    },
    output: {
        shape: GetBatchPredictionOutput_1.GetBatchPredictionOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=GetBatchPrediction.js.map