"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateEvaluationInput_1 = require("../shapes/UpdateEvaluationInput");
const UpdateEvaluationOutput_1 = require("../shapes/UpdateEvaluationOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateEvaluation = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateEvaluation",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateEvaluationInput_1.UpdateEvaluationInput
    },
    output: {
        shape: UpdateEvaluationOutput_1.UpdateEvaluationOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateEvaluation.js.map