"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateMLModelInput_1 = require("../shapes/UpdateMLModelInput");
const UpdateMLModelOutput_1 = require("../shapes/UpdateMLModelOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMLModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMLModel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateMLModelInput_1.UpdateMLModelInput
    },
    output: {
        shape: UpdateMLModelOutput_1.UpdateMLModelOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerException_1.InternalServerException
        }
    ]
};
//# sourceMappingURL=UpdateMLModel.js.map