"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateEvaluationInput = {
    type: "structure",
    required: ["EvaluationId", "MLModelId", "EvaluationDataSourceId"],
    members: {
        EvaluationId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EvaluationName: {
            shape: {
                type: "string"
            }
        },
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        EvaluationDataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=CreateEvaluationInput.js.map