"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RDSDatabase_1 = require("./_RDSDatabase");
exports._RDSMetadata = {
    type: "structure",
    required: [],
    members: {
        Database: {
            shape: _RDSDatabase_1._RDSDatabase
        },
        DatabaseUserName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        SelectSqlQuery: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ServiceRole: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataPipelineId: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_RDSMetadata.js.map