import { AddTagsOutput } from "./AddTagsOutput";
import { CreateBatchPredictionOutput } from "./CreateBatchPredictionOutput";
import { CreateDataSourceFromRDSOutput } from "./CreateDataSourceFromRDSOutput";
import { CreateDataSourceFromRedshiftOutput } from "./CreateDataSourceFromRedshiftOutput";
import { CreateDataSourceFromS3Output } from "./CreateDataSourceFromS3Output";
import { CreateEvaluationOutput } from "./CreateEvaluationOutput";
import { CreateMLModelOutput } from "./CreateMLModelOutput";
import { CreateRealtimeEndpointOutput } from "./CreateRealtimeEndpointOutput";
import { DeleteBatchPredictionOutput } from "./DeleteBatchPredictionOutput";
import { DeleteDataSourceOutput } from "./DeleteDataSourceOutput";
import { DeleteEvaluationOutput } from "./DeleteEvaluationOutput";
import { DeleteMLModelOutput } from "./DeleteMLModelOutput";
import { DeleteRealtimeEndpointOutput } from "./DeleteRealtimeEndpointOutput";
import { DeleteTagsOutput } from "./DeleteTagsOutput";
import { DescribeBatchPredictionsOutput } from "./DescribeBatchPredictionsOutput";
import { DescribeDataSourcesOutput } from "./DescribeDataSourcesOutput";
import { DescribeEvaluationsOutput } from "./DescribeEvaluationsOutput";
import { DescribeMLModelsOutput } from "./DescribeMLModelsOutput";
import { DescribeTagsOutput } from "./DescribeTagsOutput";
import { GetBatchPredictionOutput } from "./GetBatchPredictionOutput";
import { GetDataSourceOutput } from "./GetDataSourceOutput";
import { GetEvaluationOutput } from "./GetEvaluationOutput";
import { GetMLModelOutput } from "./GetMLModelOutput";
import { PredictOutput } from "./PredictOutput";
import { UpdateBatchPredictionOutput } from "./UpdateBatchPredictionOutput";
import { UpdateDataSourceOutput } from "./UpdateDataSourceOutput";
import { UpdateEvaluationOutput } from "./UpdateEvaluationOutput";
import { UpdateMLModelOutput } from "./UpdateMLModelOutput";
export declare type OutputTypesUnion = AddTagsOutput | CreateBatchPredictionOutput | CreateDataSourceFromRDSOutput | CreateDataSourceFromRedshiftOutput | CreateDataSourceFromS3Output | CreateEvaluationOutput | CreateMLModelOutput | CreateRealtimeEndpointOutput | DeleteBatchPredictionOutput | DeleteDataSourceOutput | DeleteEvaluationOutput | DeleteMLModelOutput | DeleteRealtimeEndpointOutput | DeleteTagsOutput | DescribeBatchPredictionsOutput | DescribeDataSourcesOutput | DescribeEvaluationsOutput | DescribeMLModelsOutput | DescribeTagsOutput | GetBatchPredictionOutput | GetDataSourceOutput | GetEvaluationOutput | GetMLModelOutput | PredictOutput | UpdateBatchPredictionOutput | UpdateDataSourceOutput | UpdateEvaluationOutput | UpdateMLModelOutput;
