/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeMLModelsInput } from "../types/DescribeMLModelsInput";
import { DescribeMLModelsOutput } from "../types/DescribeMLModelsOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DescribeMLModelsInput";
export * from "../types/DescribeMLModelsOutput";
export * from "../types/DescribeMLModelsExceptionsUnion";
export declare class DescribeMLModelsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeMLModelsInput, OutputTypesUnion, DescribeMLModelsOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeMLModelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeMLModelsInput, DescribeMLModelsOutput, _stream.Readable>;
    constructor(input: DescribeMLModelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DescribeMLModelsInput, DescribeMLModelsOutput>;
}
