"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateBatchPredictionInput = {
    type: "structure",
    required: [
        "BatchPredictionId",
        "MLModelId",
        "BatchPredictionDataSourceId",
        "OutputUri"
    ],
    members: {
        BatchPredictionId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        BatchPredictionName: {
            shape: {
                type: "string"
            }
        },
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        BatchPredictionDataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        OutputUri: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateBatchPredictionInput.js.map