"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _S3DataSpec_1 = require("./_S3DataSpec");
exports.CreateDataSourceFromS3Input = {
    type: "structure",
    required: ["DataSourceId", "DataSpec"],
    members: {
        DataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataSourceName: {
            shape: {
                type: "string"
            }
        },
        DataSpec: {
            shape: _S3DataSpec_1._S3DataSpec
        },
        ComputeStatistics: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDataSourceFromS3Input.js.map