"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TrainingParameters_1 = require("./_TrainingParameters");
exports.CreateMLModelInput = {
    type: "structure",
    required: ["MLModelId", "MLModelType", "TrainingDataSourceId"],
    members: {
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MLModelName: {
            shape: {
                type: "string"
            }
        },
        MLModelType: {
            shape: {
                type: "string"
            }
        },
        Parameters: {
            shape: _TrainingParameters_1._TrainingParameters
        },
        TrainingDataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Recipe: {
            shape: {
                type: "string"
            }
        },
        RecipeUri: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateMLModelInput.js.map